Mercury API
CmdIso180006bReadTagData Method (timeout, address, count, filter)
Namespaces ► ThingMagic ► SerialReader ► CmdIso180006bReadTagData(UInt16, Byte, Byte, TagFilter)
Read the memory of an ISO180006B tag.
Declaration Syntax

C# | Visual Basic | Visual C++

    [ObsoleteAttribute]
    public TagReadData CmdIso180006bReadTagData(
    	ushort timeout,
    	byte address,
    	byte count,
    	TagFilter filter
    )

    <ObsoleteAttribute> _
    Public Function CmdIso180006bReadTagData ( _
    	timeout As UShort, _
    	address As Byte, _
    	count As Byte, _
    	filter As TagFilter _
    ) As TagReadData

    [ObsoleteAttribute]
    public:
    TagReadData^ CmdIso180006bReadTagData(
    	unsigned short timeout,
    	unsigned char address,
    	unsigned char count,
    	TagFilter^ filter
    )

Parameters

timeout (UInt16)
  the duration in milliseconds to search for the operation. Valid range is 0-65535

address (Byte)
  the byte address to start reading from

count (Byte)
  the number of bytes to read.

filter (TagFilter)
  a specification of the air protocol filtering to perform

Return Value
a TagReadData object containing the tag data and any requested metadata (note: the tag EPC will not be present in the object)

Assembly: MercuryAPI (Module: MercuryAPI) Version: 1.29.4.34 (1.29.4.34)